## Package org.apache.solr.client.solrj

Primary APIs for communicating with a Solr Server from a Java client.

See:
Description

Class Summary
ResponseParser
SolrQuery: This is an augmented SolrParams with get/set/add fields for common fields used in the Standard and Dismax request handlers
SolrQuery.SortClause: A single sort clause, encapsulating what to sort and the sort order.
SolrRequest
SolrResponse
SolrServer
StreamingResponseCallback: A callback interface for streaming response

Enum Summary
SolrQuery.ORDER
SolrRequest.METHOD

Exception Summary
SolrServerException: Exception to catch all types of communication / parsing issues associated with talking to SOLR

## Package org.apache.solr.client.solrj Description

Primary APIs for communicating with a Solr Server from a Java client.

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.